org.apache.thrift.meta_data

## Class FieldMetaData

- java.lang.Object
- - org.apache.thrift.meta_data.FieldMetaData

- All Implemented Interfaces:
    java.io.Serializable

      public class FieldMetaData
      extends java.lang.Object
      implements java.io.Serializable

  This class is used to store meta data about thrift fields. Every field in a a struct should have a corresponding instance of this class describing it.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `fieldName`
    `byte` | `requirementType`
    `FieldValueMetaData` | `valueMetaData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldMetaData(java.lang.String name, byte req, FieldValueMetaData vMetaData)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addStructMetaDataMap(java.lang.Class<? extends TBase> sClass, java.util.Map<? extends TFieldIdEnum,FieldMetaData> map)`
    `static java.util.Map<? extends TFieldIdEnum,FieldMetaData>` | `getStructMetaDataMap(java.lang.Class<? extends TBase> sClass)` Returns a map with metadata (i.e.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fieldName

          public final java.lang.String fieldName

    - #### requirementType

          public final byte requirementType

    - #### valueMetaData

          public final FieldValueMetaData valueMetaData

  - ### Constructor Detail

    - #### FieldMetaData

          public FieldMetaData(java.lang.String name,
                       byte req,
                       FieldValueMetaData vMetaData)

  - ### Method Detail

    - #### addStructMetaDataMap

          public static void addStructMetaDataMap(java.lang.Class<? extends TBase> sClass,
                                  java.util.Map<? extends TFieldIdEnum,FieldMetaData> map)

    - #### getStructMetaDataMap

          public static java.util.Map<? extends TFieldIdEnum,FieldMetaData> getStructMetaDataMap(java.lang.Class<? extends TBase> sClass)

      Returns a map with metadata (i.e. instances of FieldMetaData) that describe the fields of the given class.
      Parameters:
        `sClass` - The TBase class for which the metadata map is requested